org.eclipse.wst.jsdt.ui.actions

## Class BuildActionGroup

- java.lang.Object
- - ActionGroup
  - - org.eclipse.wst.jsdt.ui.actions.BuildActionGroup

    public class BuildActionGroup
    extends ActionGroup

Contributes all build related actions to the context menu and installs handlers for the corresponding global menu actions.

This class may be instantiated; it is not intended to be subclassed.

Provisional API: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

### Constructor Summary

Constructors
Constructor and Description
`BuildActionGroup(IViewPart part)` Creates a new `BuildActionGroup`.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `dispose()`
`void` `fillActionBars(IActionBars actionBar)`
`void` `fillContextMenu(IMenuManager menu)`
`IAction` `getRefreshAction()` Returns the refresh action managed by this group.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BuildActionGroup

    public BuildActionGroup(IViewPart part)

Creates a new `BuildActionGroup`. The group requires that the selection provided by the view part's selection provider is of type `org.eclipse.jface.viewers.IStructuredSelection`.

Parameters:
  `part` - the view part that owns this action group

### Method Detail

#### getRefreshAction

    public IAction getRefreshAction()

Returns the refresh action managed by this group.

Returns:
  the refresh action. If this group doesn't manage a refresh action `null` is returned

#### fillActionBars

    public void fillActionBars(IActionBars actionBar)

#### fillContextMenu

    public void fillContextMenu(IMenuManager menu)

#### dispose

    public void dispose()